%define name whamp
%define version 0.5.1
%define release 2mdk

Summary: GTK+ barebones MP3 player 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
Source: %name-%version.tar.bz2
URL: http://www.casema.net/~bosboom/
Buildroot: %{_tmppath}/%{name}-buildroot

%description
WHAMP is a GTK+ barebones MP3 player. It no longer requires mpg123
for playing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n whamp

%build
%make

%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 whamp $RPM_BUILD_ROOT%{_bindir}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/whamp
install -m 755 pictures/* $RPM_BUILD_ROOT%{_datadir}/whamp/
rm -rf $RPM_BUILD_ROOT%{_datadir}/whamp/*.h

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/whamp"\
title="Whamp"\
longtitle="Mp3 player"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  

%files
%defattr (-,root,root)
%doc GPL README
%{_bindir}/*
%{_datadir}/whamp
%{_menudir}/*

%changelog
* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 0.5.1-2mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-4mdk
- fix group
- fix files section

* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Modified specfile for Mandrake
